> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token balance portfolio for address

> Render a daily portfolio balance for an address broken down by the token. The timeframe is user-configurable, defaults to 30 days.



## OpenAPI

````yaml get /somnia/v1/address/{walletAddress}/balance/portfolio
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /somnia/v1/address/{walletAddress}/balance/portfolio:
    get:
      tags:
        - Balances
      summary: Get token balance portfolio for address
      description: >-
        Render a daily portfolio balance for an address broken down by the
        token. The timeframe is user-configurable, defaults to 30 days.
      operationId: getTokenPortfolioForAddress
      parameters:
        - description: A wallet address.
          in: path
          name: walletAddress
          required: true
          schema:
            type: string
        - description: The number of days to return data for. Defaults to 30 days.
          in: query
          name: days
          required: false
          schema:
            default: 30
            minimum: 1
            type: integer
        - description: A contract address to filter by.
          in: query
          name: contract-address
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenPortfolioResponse'
          description: OK
components:
  schemas:
    TokenPortfolioResponse:
      properties:
        contract:
          $ref: '#/components/schemas/Contract'
        holdings:
          items:
            $ref: '#/components/schemas/TimestampWithBalance'
          type: array
      required:
        - contract
        - holdings
      type: object
    Contract:
      properties:
        address:
          description: Contract address
          type: string
        decimals:
          nullable: true
          type: integer
        erc_type:
          description: ERC standard of the token.
          nullable: true
          type: string
        logoUri:
          nullable: true
          type: string
        name:
          description: Name of the token.
          nullable: true
          type: string
        symbol:
          description: Symbol of the token.
          nullable: true
          type: string
      type: object
    TimestampWithBalance:
      properties:
        balance:
          type: string
        raw_balance:
          type: string
        timestamp:
          type: string
      required:
        - timestamp
        - balance
      type: object

````